[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#365227: detect libc.so.0.1 (kfreebsd-i386 and kfreebsd-amd64)

On Mon, May 01, 2006 at 03:57:21AM +0200, Frans Pop wrote:
> On Friday 28 April 2006 17:42, Robert Millan wrote:
> > Patch attached to detect libc.so.0.1 as well as .6 and .6.1.  This is
> > needed for GNU/kFreeBSD.
> Please explain this change:
> -Recommends: libc6-pic | libc6.1-pic
> +Recommends: libc6-pic | glibc-pic

Glibc sonames are platform specific (we have libc0.1-pic, for example).  The
correct would be to just Recommend the virtual package "glibc-pic", but Policy
forbids depending on virtual packages without a real package alternative first.

With my proposed "libc6-pic | glibc-pic", sonames for any kernel or architecture
will be supported.

Robert Millan

Reply to: